## Steering Committee Backlog

This is a backlog of items that the steering committee needs to either handle or delegate. Please add items via a pull request.


## Backlog Items

- Check the governance documents into the community repo
- Clarify the inferface with the CNCF
- Update the Code of Conduct Committee to a more recent version, documenting enforcement, broaden coverage
  beyond maintainers and committers, coding activities, and project/public spaces, specify our own reporting
  path, clarify the policy on employer notification and who else may be involved, decide what should
  be shared with the accused
- Determine how members of the Code of Conduct Committee should be selected
- Document resources that the community has and make sure they have a home: releases, twitter handles, etc
- Find homes for unowned areas of the project, such as the build system
- SIG charter template, including suggested governance and minimum required intra-SIG governance, its scope 
  (topics, subsystems, code repos and directories), responsibilities, areas of authority, how members and roles
  of authority/leadership are selected/granted, how decisions are made, and how conflicts are resolved
- Formalize the concept of subprojects
- Decide how/whether ecosystem subprojects (e.g., kops, helm) are governed differently
- In particular, develop policies/procedures for donated code (e.g., helm, kubernetes-anywhere, kompose, kargo)
- Resolve the disconnect between code organization (OWNERS, maintainers) and people organization (SIGs)
- Simplify the contributor ladder
- Update incubator process to explain new GitHub organization strategy
- Explicitly delegate areas to SIGs
- Escalation process
- Fund-requesting and budget processes
- Committee decision-making process (e.g., modified lazy consensus seeking) and quorum requirement
- Improve/expand definition of members of standing
- Identify who is responsible for evolving the governance going forward and how changes will be approved
- Project-wide communication requirements, processes, and mechanisms
- Do we need user groups?
- Do we need insurance?
- Do we need a policy similar to [Apache's release policy](http://www.apache.org/legal/release-policy.html)?
- Update project values
- Do we need a Conflict of Interest policy?
- Develop processes to address staffing gaps (engineering, docs, test, release, ...), effort gaps 
  (tragedy of the commons), expertise mismatches, priority conflicts, personnel conflicts

